Merge branch 'tg/t-readme-updates'
authorJunio C Hamano <gitster@pobox.com>
Wed, 13 Dec 2017 21:28:56 +0000 (13:28 -0800)
committerJunio C Hamano <gitster@pobox.com>
Wed, 13 Dec 2017 21:28:56 +0000 (13:28 -0800)
Developer doc updates.

* tg/t-readme-updates:
  t/README: document test_cmp_rev
  t/README: remove mention of adding copyright notices

1  2 
t/README

diff --combined t/README
+++ b/t/README
@@@ -332,13 -332,10 +332,10 @@@ Writing Test
  -------------
  
  The test script is written as a shell script.  It should start
- with the standard "#!/bin/sh" with copyright notices, and an
+ with the standard "#!/bin/sh", and an
  assignment to variable 'test_description', like this:
  
        #!/bin/sh
-       #
-       # Copyright (c) 2005 Junio C Hamano
-       #
  
        test_description='xxx test (option --frotz)
  
@@@ -677,6 -674,11 +674,11 @@@ library for your script to use
     <expected> file.  This behaves like "cmp" but produces more
     helpful output when the test is run with "-v" option.
  
+  - test_cmp_rev <expected> <actual>
+    Check whether the <expected> rev points to the same commit as the
+    <actual> rev.
   - test_line_count (= | -lt | -ge | ...) <length> <file>
  
     Check whether a file has the length it is expected to.
@@@ -808,18 -810,6 +810,18 @@@ use these, and "test_set_prereq" for ho
     Git was compiled with support for PCRE. Wrap any tests
     that use git-grep --perl-regexp or git-grep -P in these.
  
 + - LIBPCRE1
 +
 +   Git was compiled with PCRE v1 support via
 +   USE_LIBPCRE1=YesPlease. Wrap any PCRE using tests that for some
 +   reason need v1 of the PCRE library instead of v2 in these.
 +
 + - LIBPCRE2
 +
 +   Git was compiled with PCRE v2 support via
 +   USE_LIBPCRE2=YesPlease. Wrap any PCRE using tests that for some
 +   reason need v2 of the PCRE library instead of v1 in these.
 +
   - CASE_INSENSITIVE_FS
  
     Test is run on a case insensitive file system.